<template>
  <StreamBarcodeReader
    v-if="web"
    @decode="onDecode"
    @loaded="onLoaded"
  ></StreamBarcodeReader>
  <ScanButton @event-qr-web="setWebScanner" />
</template>

<script>
import ScanButton from "../components/ScanButton";
import { StreamBarcodeReader } from "vue-barcode-reader";

export default {
  name: "ScanABook",
  data() {
    return {
      web: false,
    };
  },
  components: {
    ScanButton,
    StreamBarcodeReader,
  },
  methods: {
    onDecode(text) {
      console.log(`Decode text from QR code is ${text}`);
      this.web = false;
      this.$router.push({ name: "BookDetails", params: { isbnBook: text } });
    },
    onLoaded() {
      console.log(`Ready to start scanning barcodes`);
    },
    setWebScanner(payload) {
      this.web = payload.web;
    },
  },
};
</script>
